#!/bin/csh
#
#  This script writes to STDOUT a template for "data file list"
#  in the format required by labeling, index-generating and 
#  other tools.
#
#  BVS/NAIF, January 3, 2000.
#
if( -e DATA ) then

   #  
   #  Print out header.
   #
   echo "DATE = YYYY-MM-DD"
   echo "SPACECRAFT = XXX"
   echo "NAIFER = XXXXXXX XXXXXXX"
   echo "PHONE = (XXX)-XXX-XXXX"
   echo "EMAIL = XXXXX.XXXXXX@JPL.NASA.GOV"
   echo "VOLUMEID = XXXX_XXXX"
   echo '$EOH'
   
   #
   #  Print out file blocks.
   #
   foreach FF ( `find DATA -name '*.*' -print | grep -v '\.TXT'` )
      
      echo "FILE             = $FF"
      echo "MAKLABEL_OPTIONS = "
      echo "DESCRIPTION      = "
      
   end
   
   echo " "
   
else

   #
   #  Complain that there is no DATA directry on this level.
   #
   echo "Didn't find DATA subdirectory in current directory"
   
endif

exit
