#!/usr/local/bin/perl
#
#  This script simply moved configured AAREADMEs to correct locations 
#  PDS dataset directory structure.
#
#  BVS/NAIF, October 6, 2003
#
#     Lowercased file and directory names.
#
#  BVS/NAIF, April 26, 1999
#

#
#  These are our files and their destinations.
#
%aareadmes = (
               'aareadme.txt',   'aareadme.txt',
               'aareadme.htm',   'aareadme.htm',
               'aareadme.lbl',   'aareadme.lbl',
               'voldesc.cat',    'voldesc.cat',
               'errata.txt',     'errata.txt',
               'catinfo.txt',    'catalog/catinfo.txt',
               'spiceds.cat',    'catalog/spiceds.cat',
               'ref.cat',        'catalog/ref.cat',
               'insthost.cat',   'catalog/insthost.cat',
               'mission.cat',    'catalog/mission.cat',
               'person.cat',     'catalog/person.cat',
               'ckinfo.txt',     'data/ck/ckinfo.txt',
               'ekinfo.txt',     'data/ek/ekinfo.txt',
               'fkinfo.txt',     'data/fk/fkinfo.txt',
               'ikinfo.txt',     'data/ik/ikinfo.txt',
               'lskinfo.txt',    'data/lsk/lskinfo.txt',
               'pckinfo.txt',    'data/pck/pckinfo.txt',
               'sclkinfo.txt',   'data/sclk/sclkinfo.txt',
               'spkinfo.txt',    'data/spk/spkinfo.txt',
               'docinfo.txt',    'document/docinfo.txt',
               'lblinfo.txt',    'document/lblinfo.txt',
               'onlabels.txt',   'document/onlabels.txt',
               'indxinfo.txt',   'index/indxinfo.txt',
               'index.tab',      'index/index.tab',
               'index.lbl',      'index/index.lbl',
               'softinfo.txt',   'software/softinfo.txt'
            );

#
#  Do them file by file.
#
print "\nDistributing PDS aareadme files:\n\n";

foreach $file ( keys %aareadmes ) {

   printf "   %-12s --> %s\n", $file, $aareadmes{$file};

   if ( -e $file ) {

      if ( ! ( $file eq $aareadmes{$file} ) ) {

         $result = `mv $file $aareadmes{$file}`;
         $status = ( $? >> 8 );

         if ( ! $status ) {

            print "      moved OK.\n";

         } else {

            print "      move FAILED. Errors were: $result";

         }

      } else {

         print "      file should stay in current directory.\n";

      }

   } else {

      print "      didn't find source file in current directory.\n";

   }

}
#
#  All done.
#
print "\nAll done.\n\n";
exit;
