#!/usr/local/bin/perl
#
#  This script simply moved configured AAREADMEs to correct locations 
#  PDS dataset directory structure.
#
#  BVS/NAIF, January 4, 2000
#
#     Uppercased file and directory names.
#
#  BVS/NAIF, April 26, 1999
#

#
#  These are our files and their destinations.
#
%aareadmes = (
               'AAREADME.TXT',   'AAREADME.TXT',
               'AAREADME.HTM',   'AAREADME.HTM',
               'AAREADME.LBL',   'AAREADME.LBL',
               'VOLDESC.CAT',    'VOLDESC.CAT',
               'ERRATA.TXT',     'ERRATA.TXT',
               'CATINFO.TXT',    'CATALOG/CATINFO.TXT',
               'SPICEDS.CAT',    'CATALOG/SPICEDS.CAT',
               'REF.CAT',        'CATALOG/REF.CAT',
               'INSTHOST.CAT',   'CATALOG/INSTHOST.CAT',
               'MISSION.CAT',    'CATALOG/MISSION.CAT',
               'PERSON.CAT',     'CATALOG/PERSON.CAT',
               'CKINFO.TXT',     'DATA/CK/CKINFO.TXT',
               'EKINFO.TXT',     'DATA/EK/EKINFO.TXT',
               'FKINFO.TXT',     'DATA/FK/FKINFO.TXT',
               'IKINFO.TXT',     'DATA/IK/IKINFO.TXT',
               'LSKINFO.TXT',    'DATA/LSK/LSKINFO.TXT',
               'PCKINFO.TXT',    'DATA/PCK/PCKINFO.TXT',
               'SCLKINFO.TXT',   'DATA/SCLK/SCLKINFO.TXT',
               'SPKINFO.TXT',    'DATA/SPK/SPKINFO.TXT',
               'DOCINFO.TXT',    'DOCUMENT/DOCINFO.TXT',
               'LBLINFO.TXT',    'DOCUMENT/LBLINFO.TXT',
               'ONLABELS.TXT',   'DOCUMENT/ONLABELS.TXT',
               'INDXINFO.TXT',   'INDEX/INDXINFO.TXT',
               'INDEX.TAB',      'INDEX/INDEX.TAB',
               'INDEX.LBL',      'INDEX/INDEX.LBL',
               'SOFTINFO.TXT',   'SOFTWARE/SOFTINFO.TXT' 
            );

#
#  Do them file by file.
#
print "\nDistributing PDS aareadme files:\n\n";

foreach $file ( keys %aareadmes ) {

   printf "   %-12s --> %s\n", $file, $aareadmes{$file};

   if ( -e $file ) {

      if ( ! ( $file eq $aareadmes{$file} ) ) {

         $result = `mv $file $aareadmes{$file}`;
         $status = ( $? >> 8 );

         if ( ! $status ) {

            print "      moved OK.\n";

         } else {

            print "      move FAILED. Errors were: $result";

         }

      } else {

         print "      file should stay in current directory.\n";

      }

   } else {

      print "      didn't find source file in current directory.\n";

   }

}
#
#  All done.
#
print "\nAll done.\n\n";
exit;
