C$Procedure      SETUP (Set up the program prediCkt )
 
      SUBROUTINE SETUP ()
 
C$ Abstract
C
C     This routine performs the initialization functions for
C     the program prediCkt.
C
C$ Copyright
C
C     Copyright (2000), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     UTILITY
C
C$ Declarations
 
      IMPLICIT NONE
 
C$ Brief_I/O
C
C     None.
C
C$ Detailed_Input
C
C     None.
C
C$ Detailed_Output
C
C     None.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C     This routine performs various initializations needed by
C     the program prediCkt.  These tasks include:
C
C        1.  Setting up the default units used by the program.
C
C        2.  Control of the way errors are signalled by the program
C
C        3.  Performing preliminary examination of the command line.
C
C$ Examples
C
C     None.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     W.L. Taber      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 23-MAR-2000 (WLT)
C
C
C-&
C
C     Supporting Functions
C
      LOGICAL               SETBAT
 
      INTEGER               WDSIZE
      PARAMETER           ( WDSIZE = 32 )
 
      CHARACTER*(WDSIZE)    ANGLE
      CHARACTER*(WDSIZE)    LENGTH
      CHARACTER*(WDSIZE)    TIME
      CHARACTER*(WDSIZE)    MASS
      CHARACTER*(WDSIZE)    CHARGE
      CHARACTER*(WDSIZE)    DUMMY
 
      LOGICAL               INIT
 
 
      ANGLE  = 'DEGREES'
      LENGTH = 'KM'
      TIME   = 'SECONDS'
      MASS   = 'KG'
      CHARGE = 'COULOMBS'
 
      CALL OUNITS ( ANGLE, LENGTH, TIME, MASS, CHARGE, DUMMY )
      CALL ERRPRT ( 'SET', 'SHORT, LONG, TRACEBACK' )
C
C     Make sure that the use of Meta/2 doesn't cause a menu
C     to be displayed offering suggestions on corrections to the
C     command line.
C
      INIT = SETBAT()
 
 
      RETURN
      END
